Retrieving Payout Data
Authenticating the Request
To retrieve payout data, authenticate the request with an OAuth token obtained using the client_credentials grant type. Generate the token with the configuration keys of the point of sale (POS) that belongs to the shop whose payout data you want to retrieve.
Retrieving Payout Data
When making GET requests, please remember not to include any data in the request body, as specified in the RFC 9110 standard. Requests that do not adhere to this requirement will be rejected by PayU with an HTTP 403 status.
To retrieve the data of a specific payout, send an HTTP GET request to the /api/v2_1/payouts/{payoutId} endpoint, where payoutId is the payout identifier returned in the response to the payout creation request.
You can retrieve data only for payouts from the last 2 weeks.
curl -X GET https://secure.payu.com/api/v2_1/payouts/133bfe5f400e4b2c8da44abfdf753d79 \
-H "Content-Type: application/json" \
-H "Authorization: Bearer 3e5cac39-7e38-4139-8fd6-30adc06a61bd"
Response Examples
- Successful
- Failed
{
"payout": {
"payoutId": "133bfe5f400e4b2c8da44abfdf753d79",
"amount": "1100",
"description": "Billing: 169602484",
"status": "PENDING"
},
"status": {
"statusCode": "SUCCESS"
}
}
{
"status": {
"statusCode": "DATA_NOT_FOUND",
"severity": "ERROR",
"code": "8354",
"codeLiteral": "INCORRECT_MERCHANT_POS",
"statusDesc": "INCORRECT_MERCHANT_POS"
}
}
For details about the parameters, see the Retrieve a Payout section in our API Reference.